Page MenuHomePhabricator

The values for each "Show"/"Hide" link in recent changes / watchlist options box ('rcshowhideminor' etc.) should be localizable per the show/hide state
Open, LowPublic

Description

The values for each "Show"/"Hide" link in recent changes / watchlist options box should be localizable per the show/hide state.

Quoting Pikne from bug 58449 comment 7:

Hm, I'm probably late with my comment, but in Estonian we need to decline
the noun differently depending on whether it is preceded by "hide" or
"show". So more favourable solution would have been to include the noun also
in these new per item messages.
Additional comments here:
[[:translatewiki:Thread:Translating talk:MediaWiki/Split some show/hide messages?]]


Version: 1.23.0
Severity: normal

Details

Reference
bz62067

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:05 AM
bzimport set Reference to bz62067.
bzimport added a subscriber: Unknown Object (MLST).
matmarex created this task.Feb 28 2014, 6:49 PM

I'm going to mark this as dupe of 58449, because it has been reopened and this bug has been partially resolved (rc part is done). Hopefully this is less confusing.

  • This bug has been marked as a duplicate of bug 58449 ***
Pikne added a comment.Oct 17 2014, 8:25 AM

It was suggested in bug 58449 to have this here as a separate bug. The solution to 62067 isn't what it's asked here, isn't it? Though, I agree there's not much of a point to have both of these bugs waiting for action. So that as soon as 58449 is fixed, it should be redone as requested here. Rather let's say that this bug here is blocking 58449?

Oops I misunderstood the status of bug 58449. It is no helping that the messages are spread out to multiple special apges and only part of them was done "phase1", while we actually want phase2. That should be easy to do once bug 66746 produces a solution to avoid lego.

Pikne added a comment.Oct 17 2014, 4:08 PM

So, in what sense is rc part done here? Regardless of the external links issue and as much as I understand, here we still need to redo what's toggled, e.g. "show minor edits/hide minor edits" in stead of toggling only "show/hide" [minor edits].

jrbs added a subscriber: jrbs.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2015, 11:54 PM
Nemo_bis set Security to None.

@jrbs @Nemo_bis So you added and then removed that project here. Does either of you care to explain it?

@jrbs @Nemo_bis So you added and then removed that project here. Does either of you care to explain it?

Better continue the discussion at T107593#1767405.

This would be invalidated by T119084.